%global	momorel 1
Name:           mate-sensors-applet
Version:        1.20.2
Release:        %{momorel}m%{?dist}
Summary:        MATE panel applet for hardware sensors
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.20/%{name}-%{version}.tar.xz
NoSource:	0

BuildRequires:  dbus-glib-devel
BuildRequires:  gtk3-devel
BuildRequires:  libatasmart-devel
BuildRequires:  libnotify-devel
#BuildRequires:  libXNVCtrl-devel
BuildRequires:  lm_sensors-devel
BuildRequires:  mate-common
BuildRequires:  mate-panel-devel

%description
MATE Sensors Applet is an applet for the MATE Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds
and voltage readings under Linux.
Can interface via the Linux kernel i2c modules, or the i8k kernel modules
Includes a simple, yet highly customization display and intuitive 
user-interface.
Alarms can be set for each sensor to notify the user once a certain value
has been reached, and can be configured to execute a given command at given
repeated intervals.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The mate-sensors-applet-devel package contains libraries and header files for
developing applications that use mate-sensors-applet.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-schemas-compile \
    --enable-libnotify \
    --with-nvidia

# remove unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
%{make_install}

find $RPM_BUILD_ROOT -name "*.la" -exec rm -rf {} ';'

%find_lang %{name} --with-gnome --all-name


%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/mate-sensors-applet
%{_libdir}/libmate-sensors-applet-plugin.so.*
%{_libdir}/mate-sensors-applet/
%{_datadir}/mate-sensors-applet/ui/
%{_datadir}/pixmaps/mate-sensors-applet/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/dbus-1/services/org.mate.panel.applet.SensorsAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.sensors-applet.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.sensors-applet.sensor.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.applets.SensorsApplet.mate-panel-applet
%{_datadir}/help/*/mate-sensors-applet/index.docbook
%{_datadir}/help/*/mate-sensors-applet/legal.xml
%{_datadir}/help/*/mate-sensors-applet/figures/*.png

%files devel
%{_libdir}/libmate-sensors-applet-plugin.so
%{_includedir}/mate-sensors-applet/


%changelog
* Mon Jun 18 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.20.2-1m)
- update 1.20.2

* Wed Mar 28 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.20.1-1m)
- update 1.20.1

* Fri Feb 09 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.20.0-1m)
- update 1.20.0

* Tue May 16 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.19.0-1m)
- update 1.19.0

* Sat Apr 08 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.18.1-1m)
- update 1.18.1

* Wed Mar 15 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.18.0-1m)
- update 1.18.0

* Mon Dec 19 2016 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.17.0-1m)
- import from Fedora

